Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class DatasetGroup

    java.lang.Object
      org.jfree.data.DatasetGroup

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class DatasetGroup
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A class that is used to group datasets. The main purpose of this is to implement a shared reader-writer lock among all datasets in the group.

See Also:
  Serialized Form

Constructor Summary
`DatasetGroup()` Constructs a new DatasetGroup.

Method Summary
`java.lang.Object` | `clone()` Clones the group.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatasetGroup

    public DatasetGroup()

  Constructs a new DatasetGroup.

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones the group.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - not by this class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD